org.apache.felix.bundlerepository.impl

## Class CapabilityImpl

- java.lang.Object
- - org.apache.felix.bundlerepository.impl.CapabilityImpl

All Implemented Interfaces:
  Capability

    public class CapabilityImpl
    extends java.lang.Object
    implements Capability

### Field Summary

### Fields inherited from interface org.apache.felix.bundlerepository.Capability

`BUNDLE, EXECUTIONENVIRONMENT, FRAGMENT, PACKAGE, SERVICE`

### Constructor Summary

Constructors
Constructor and Description
`CapabilityImpl()`
`CapabilityImpl(java.lang.String name)`
`CapabilityImpl(java.lang.String name, PropertyImpl[] properties)`

### Method Summary

Methods
`void` `addDirective(java.lang.String key, java.lang.String value)`
`void` `addProperty(Property prop)`
`void` `addProperty(java.lang.String name, java.lang.String value)`
`void` `addProperty(java.lang.String name, java.lang.String type, java.lang.String value)`
`java.util.Map<java.lang.String,java.lang.String>` `getDirectives()` Return the directives of this capability.
`java.lang.String` `getName()` Return the name of the capability.
`Property[]` `getProperties()` Return the properties of this capability
`java.util.Map<java.lang.String,java.lang.Object>` `getPropertiesAsMap()` Return the map of properties.
`void` `setName(java.lang.String name)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CapabilityImpl

    public CapabilityImpl()

#### CapabilityImpl

    public CapabilityImpl(java.lang.String name)

#### CapabilityImpl

    public CapabilityImpl(java.lang.String name,
                  PropertyImpl[] properties)

### Method Detail

#### getName

    public java.lang.String getName()

Description copied from interface: `Capability`
Return the name of the capability.

Specified by:
  `getName` in interface `Capability`

#### setName

    public void setName(java.lang.String name)

#### getPropertiesAsMap

    public java.util.Map<java.lang.String,java.lang.Object> getPropertiesAsMap()

Description copied from interface: `Capability`
Return the map of properties.

Specified by:
  `getPropertiesAsMap` in interface `Capability`
Returns:
  a Map<String,Object>

#### getProperties

    public Property[] getProperties()

Description copied from interface: `Capability`
Return the properties of this capability

Specified by:
  `getProperties` in interface `Capability`
Returns:

#### addProperty

    public void addProperty(Property prop)

#### addProperty

    public void addProperty(java.lang.String name,
                   java.lang.String value)

#### addProperty

    public void addProperty(java.lang.String name,
                   java.lang.String type,
                   java.lang.String value)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### addDirective

    public void addDirective(java.lang.String key,
                    java.lang.String value)

#### getDirectives

    public java.util.Map<java.lang.String,java.lang.String> getDirectives()

Description copied from interface: `Capability`
Return the directives of this capability. The returned map can not be modified.

Specified by:
  `getDirectives` in interface `Capability`
Returns:
  a Map of directives or an empty map there are no directives.